summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2016-09-06 21:53:32 -0400
committerMike Gilbert <floppym@gentoo.org>2016-09-06 21:53:32 -0400
commit64f55eacb82928c647e00ef767c909d88a94bbd8 (patch)
tree9cc04cf474a168fdcbad702116d44b702cb83ea2 /eclass/chromium-2.eclass
parentnet-proxy/shadowsocks-libev: fix libsodium dep (diff)
downloadgentoo-64f55eacb82928c647e00ef767c909d88a94bbd8.tar.gz
gentoo-64f55eacb82928c647e00ef767c909d88a94bbd8.tar.bz2
gentoo-64f55eacb82928c647e00ef767c909d88a94bbd8.zip
chromium-2.eclass: add special handling for sr-ME
Bug: https://bugs.gentoo.org/583762
Diffstat (limited to 'eclass/chromium-2.eclass')
-rw-r--r--eclass/chromium-2.eclass16
1 files changed, 15 insertions, 1 deletions
diff --git a/eclass/chromium-2.eclass b/eclass/chromium-2.eclass
index eeae750c6f7..e4170df81c0 100644
--- a/eclass/chromium-2.eclass
+++ b/eclass/chromium-2.eclass
@@ -71,7 +71,10 @@ chromium_remove_language_paks() {
# Look for missing pak files.
for lang in ${CHROMIUM_LANGS}; do
if [[ ! -e ${lang}.pak ]]; then
- eqawarn "L10N warning: no .pak file for ${lang} (${lang}.pak not found)"
+ # https://bugs.gentoo.org/583762
+ if [[ ${lang} != sr-ME || ! -e me.pak ]]; then
+ eqawarn "L10N warning: no .pak file for ${lang} (${lang}.pak not found)"
+ fi
fi
done
@@ -86,6 +89,17 @@ chromium_remove_language_paks() {
if [[ ${lang} == en-US ]]; then
continue
fi
+
+ # https://bugs.gentoo.org/583762
+ if [[ ${lang} == me ]]; then
+ if ! has sr-ME ${CHROMIUM_LANGS}; then
+ eqawarn "L10N warning: no sr-ME in LANGS"
+ elif ! use l10n_sr-ME; then
+ rm "${pak}" || die
+ fi
+ continue
+ fi
+
if ! has ${lang} ${CHROMIUM_LANGS}; then
eqawarn "L10N warning: no ${lang} in LANGS"
continue